## org.eclipse.emf.compare.diff.metamodel
Interface ModelElementChange

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ModelElementChangeLeftTarget, ModelElementChangeRightTarget, MoveModelElement, UpdateContainmentFeature, UpdateModelElement

All Known Implementing Classes:
  ModelElementChangeImpl, ModelElementChangeLeftTargetImpl, ModelElementChangeRightTargetImpl, MoveModelElementImpl, UpdateContainmentFeatureImpl, UpdateModelElementImpl

    public interface ModelElementChange

extends DiffElement

A representation of the model object 'Model Element Change'. Superclass of DiffElements used to describe element additions or removals.

See Also:
  `DiffPackage.getModelElementChange()`

Method Summary

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2006 IBM Corporation and others. All Rights Reserved.